devel/p5-Perl6-Slurp - The NetBSD Packages Collection

Implements the Perl 6 'slurp' built-in

slurp takes:

    * a filename,
    * a filehandle,
    * a typeglob reference,
    * an IO::File object, or
    * a scalar reference,

converts it to an input stream if necessary, and reads in the entire
stream. If slurp fails to set up or read the stream, it throws an
exception.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0earmv7hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0earmv7hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0i386p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0i386p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0i386p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0powerpcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0powerpcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0powerpcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 8.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0aarch64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0aarch64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0aarch64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0alphap5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0alphap5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0alphap5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv6hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv6hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv6hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv6hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv7hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv7hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv7hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0earmv7hfp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0i386p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0i386p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0mips64ebp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0mips64ebp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0mips64ebp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0powerpcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0powerpcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0sparc64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0sparc64p5-Perl6-Slurp-0.051005nb5.tgz
NetBSD 9.0sparc64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0sparc64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0sparcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0sparcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0sparcp5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz
NetBSD 9.0x86_64p5-Perl6-Slurp-0.051005nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.